Bug 243209 - Unable to use USB drive as installation source
Unable to use USB drive as installation source
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Chris Lumens
:
: 247631 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-07 17:57 EDT by Wil Cooley
Modified: 2008-06-16 21:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:29:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wil Cooley 2007-06-07 17:57:27 EDT
Description of problem:

After having booted from grub with diskboot.img (using memdisk from syslinux)
or CD with boot.iso, I am unable to perform an installation from a DVD ISO
image on an ext3 filesystem on a USB hard drive.


When I boot into the installer, choose "hard drive" installation method and
am prompted for an installation source (where stage2 is loaded), my USB drive
is not among the options presented.  My suspicion is that usb-storage is not
loaded; if I unplug and plug my drive, the kernel messages are (approximately):

usb 5-8: USB disconnect, address 5
usb 5-8: new high speed USB device using ehci_hcd and address 6
usb 5-8: configuration #1 chosen from 1 choice

Normally with FC6, however, plugging in my drive results in the following
messages:

usb 5-8: USB disconnect, address 5
usb 5-8: new high speed USB device using ehci_hcd and address 6
usb 5-8: configuration #1 chosen from 1 choice
scsi3 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 6
usb-storage: waiting for device to settle before scanning
scsi 3:0:0:0: Direct-Access     IC25N030 ATCS04-0         CA3O PQ: 0 ANSI: 0 CCS
SCSI device sdb: 58605120 512-byte hdwr sectors (30006 MB)
sdb: Write Protect is off
sdb: Mode Sense: 00 14 00 00
sdb: assuming drive cache: write through
SCSI device sdb: 58605120 512-byte hdwr sectors (30006 MB)
sdb: Write Protect is off
sdb: Mode Sense: 00 14 00 00
sdb: assuming drive cache: write through
 sdb: sdb1
sd 3:0:0:0: Attached scsi disk sdb
sd 3:0:0:0: Attached scsi generic sg1 type 0
usb-storage: device scan complete

I cannot confirm exactly what is happening, however, since even when booted
with 'expert' I am not yet given a shell.

How reproducible:

Very.  I can reproduce on my current workstation using booting through grub
with diskboot.img or from CD with boot.iso.  I can also reproduce using VMWare
booting from boot.iso.

Steps to reproduce:
1. Copy DVD ISO image to a USB hard drive.
2. Plug-in USB hard drive to installation target computer.
2. Boot from a CD burned with boot.iso.
3. Select language, keyboard.
4. When prompted for installation method, select "hard drive".
5. Notice that the filesystem on the USB drive is not presented as an option.

Actual results:

Anaconda does not present the filesystem on the USB as an option for
installation source.

Expected results:

According to the installation guide, I should be able to do a hard drive 
installation from sources on a USB drive:

(from
http://docs.fedoraproject.org/install-guide/f7/en_US/sn-installing-from-harddrive.html)

"Once you have booted your computer, you may use ISO image files of the 
Fedora discs to continue the installation process. The ISO files must be 
located on a hard drive that is either internal to the computer, or 
attached to the machine by USB."

Additional info:

This may be a duplicate of:
Bug 174887
Bug 204396
Bug 139453

Note that I have tried using "askmethod" and "expert" as part of the boot
parameters.
Comment 1 Chris Lumens 2007-08-15 16:12:01 EDT
*** Bug 247631 has been marked as a duplicate of this bug. ***
Comment 2 Chris Lumens 2007-08-15 16:40:09 EDT
Is your USB device recognized under F7 if you install using another method?  In
my testing here with F8 test 1, I am unable to reproduce this.  The usb-storage
module is loaded, the partitions are discovered, and they show up in anaconda's
list.  If possible, could you also try with F8 test 1 and see if it works there?
Comment 3 Jon Roland 2007-08-15 17:42:24 EDT
Can't speak for the original poster, but I have been unable to install F7 on my
server using any method. No matter what medium I try to use, CD, DVD, or USB
device, Anaconda does not recognize the drive on which it resides and has just
been loaded from itself, to get the rest of the files.

Since F6 Anaconda worked fine on the same system, perhaps the problem will be
solved for F8, and I will just wait. But it would be nice if we could just use
the F6 Anaconda to install F7 files.
Comment 4 Wil Cooley 2007-08-21 12:14:37 EDT
(In reply to comment #2)
> Is your USB device recognized under F7 if you install using another method?

I can't say; I gave up after waiting a couple weeks and burned a DVD. My USB
drive is recognized outside of install-time of course.  

> In
> my testing here with F8 test 1, I am unable to reproduce this.  The usb-storage
> module is loaded, the partitions are discovered, and they show up in anaconda's
> list.  If possible, could you also try with F8 test 1 and see if it works there?

I will give it a shot.
Comment 5 Wil Cooley 2008-03-08 15:02:43 EST
Unfortunately, I was unable to actually test this, so I do not know if it is
still a problem or not.
Comment 6 Bug Zapper 2008-05-14 08:54:41 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2008-06-16 21:29:39 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.